Package rdkit :: Package Dbase :: Package Pubmed :: Module QueryParams

[hide private]
[frames] | no frames]

# Module QueryParams

source code

Functions | [hide private]

details() | source code

Variables | [hide private]

| urlBase = ``'``http://eutils.ncbi.nlm.nih.gov/entrez/eutils``'``
| searchBase = ``'``http://eutils.ncbi.nlm.nih.gov/entrez/eutils/ese``...``
| summaryBase = ``'``http://eutils.ncbi.nlm.nih.gov/entrez/eutils/es``...``
| fetchBase = ``'``http://eutils.ncbi.nlm.nih.gov/entrez/eutils/efet``...``
| linkBase = ``'``http://eutils.ncbi.nlm.nih.gov/entrez/eutils/elink``...``
| queryBase = ``'``http://www.ncbi.nlm.nih.gov/entrez/query.fcgi``'``
| _details = ``{``'``db``'``:` `'``pubmed``'``,` `'``email``'``:` `'``Info@RationalDiscovery.c``...``
| searchableFields = ``{``'``Affiliation``'``:` `(``'``AD``'``,` `'``Authors\' affiliati``...``
| searchableFieldsOrder = ``[``'``Author``'``,` `'``Keyword``'``,` `'``Title``'``,` `'``Title/``...``
| __package__ = ``'``rdkit.Dbase.Pubmed``'``

Imports: copy

Variables Details | [hide private]

### searchBase

Value:

      'http://eutils.ncbi.nlm.nih.gov/entrez/eutils/esearch.fcgi'

### summaryBase

Value:

      'http://eutils.ncbi.nlm.nih.gov/entrez/eutils/esummary.fcgi'

### fetchBase

Value:

      'http://eutils.ncbi.nlm.nih.gov/entrez/eutils/efetch.fcgi'

### linkBase

Value:

      'http://eutils.ncbi.nlm.nih.gov/entrez/eutils/elink.fcgi'

### _details

Value:

      {'db': 'pubmed',
       'email': 'Info@RationalDiscovery.com',
       'retmode': 'xml',
       'tool': 'RDPMTools'}

### searchableFields

Value:

      {'Affiliation': ('AD', 'Authors\' affiliation'),
       'Author': ('AU', 'Authors\' Name '),
       'Journal': ('TA', 'Journal Name'),
       'Keyword': ('MH', 'MeSH keyword'),
       'Registry Number': ('RN', 'CAS Registry Number'),
       'Subject': ('SB',
                   'Pubmed Subject Subset (tox,aids,cancer,bioethics,cam,his
      tory,space,systematic)'),
      ...

### searchableFieldsOrder

Value:

      ['Author',
       'Keyword',
       'Title',
       'Title/Abstract',
       'Substance',
       'Registry Number',
       'Subject',
       'Journal',
      ...